gwibber does not refresh Facebook feeds

Reported by Kévin Guilbeault on 2012-12-11
272
This bug affects 61 people
Affects Status Importance Assigned to Milestone
Gwibber
High
Unassigned
gwibber (Ubuntu)
High
Unassigned
Precise
High
Unassigned
Quantal
High
Unassigned
python-imaging (Ubuntu)
Quantal
Undecided
Unassigned

Bug Description

Since around November 28th, Gwibber stopped updating my Facebook feeds. First, I tried to delete my facebook account from online accounts and than uninstall and reinstall gwibber. Then, I removed ubuntu from facebook app settings after doing all of the above. Then I checked my proxy settings, and my proxy is on none. When I open gwibber, I see feeds that are 12-13 days old and when I try to refresh, it does not do anything. I mean it does not even write refreshing... at the bottom of the screen. When I check if gwibber-service is running correctly I get no mistake in the terminal. I've looked a lot around bugs sections in many sites but none of them had an answer.

Steps to verify this SRU:
[Test Case]
Ensure gwibber-service has restarted since the update by either a logout/login or "killall gwibber-service", then verify there is feed data for your facebook account.

[Regression Potential]
Regression potential is really low, it simply checks that the dict returned has a key, and if it doesn't use an empty value for the result.

Theodore P Rees (theodore-rees) wrote :

Having the same issue. However, I also have my twitter account setup and it refreshes just fine. Perhaps that is why mine writes refreshing... at the bottom of the gwibber window when I hit refresh. Please get somebody on this problem. I can post status messages to both facebook and twitter it just wont retrieve the facebook feeds for me.

Kévin Guilbeault (kekegt2) wrote :

Yeah, I can post status messages to facebook too, but I can't refresh. Didn't try with twitter cause I don't have a twitter account.

Changed in gwibber:
status: New → Confirmed
Ghislain Vaillant (ghisvail) wrote :

Gwibber is also broken on my setup. I only use Facebook and set it up via the Online Accounts menu. Empathy takes care of the chat just fine, but Gwibber stays completly blank with a "Refreshing" displayed on the bottom left corner of the window.

Ghislain Vaillant (ghisvail) wrote :

Importance of this bug should be set quite high considering how popular Facebook is.

Theodore P Rees (theodore-rees) wrote :

After checking the log file for gwibber I notice that the first occurance of this problem happened on November 27, 2012 at 20:28:36. If I'm reading the log file correctly it's a problem with the dispatcher. To fully describe the first error in the log file I will paste it right here, "2012-11-27 20:28:36,132 - Dispatcher Thread-42 : ERROR - <facebook:receive> Operation failed".

As well I will attach my log to this comment for you to look at. Maybe that will help you fix alot quicker.

Bilal Shahid (s9iper1) wrote :

thanks for the bug report
after reading the log file
2012-12-12 17:37:15,381 - Dispatcher MainThread : INFO - Running Jobs: 5
2012-12-12 17:37:15,382 - Dispatcher MainThread : INFO - Running Jobs: 0
2012-12-12 17:37:15,386 - Dispatcher MainThread : INFO - Running Jobs: 4
2012-12-12 17:37:16,348 - Dispatcher Thread-23 : INFO - Loading complete: 17 - 0
2012-12-12 17:37:16,727 - Dispatcher Thread-24 : INFO - Loading complete: 18 - 0
2012-12-12 17:37:17,654 - Dispatcher Thread-25 : INFO - Loading complete: 19 - 0
2012-12-12 17:37:21,425 - Dispatcher Thread-22 : ERROR - <facebook:receive> Operation failed
2012-12-12 17:37:21,426 - Dispatcher Thread-22 : INFO - Loading Error: 19 - Erro

assigning the bug to kenvandine

affects: gwibber → gwibber (Ubuntu)
Bilal Shahid (s9iper1) on 2012-12-13
Changed in gwibber (Ubuntu):
importance: Undecided → Medium
status: Confirmed → Triaged
Changed in gwibber:
importance: Undecided → High
status: New → Confirmed
assignee: nobody → Ken VanDine (ken-vandine)
Ruben Rocha (ruben-silvarocha) wrote :

This problem is affecting all versions of ubuntu with gwibber. The problem with adding the facebook account also is related to the facebook api allocation limits and there was no need to fix that issue. When the facebook api allocation is fixed for the gwibber and ubuntu app on facebook, all the issues are fixed.

Its a very annoying problem since its happening on an application shipped by default with the OS.

Steve SY (mostafa922) wrote :

its very bad problem :( doesn't fix yet ?

Arnaud (nono68200) wrote :

Yes... Same problem with 12.10 and 13.04 development and more important, Ubuntu 12.04.1 which is a LTS!
And no news about that for a few weeks ago...

Ruben Rocha (ruben-silvarocha) wrote :

This has happened many times before and as i said the problem is from facebook. Gwibber has reached the limit of facebook api allocation.

Ruben Rocha (ruben-silvarocha) wrote :

But yes, the problem is very serious because this a feature included on stock system and it doesnt work.

The problem is happening on all versions from 10.04 up to development 13.04.

It might be a good idea to have an error message explaining what's wrong in the meantime, so users will know that it's not their fault.

Arnaud (nono68200) wrote :

#10 : so concretely? Any more Gwibber for Facebook?

For the moment Gwibber is unfortunately not much more than a microblogging client for twitter (and identica, which I don't know) :-(
Sadly there's no alternative for GNOME2 to tap the Facebook feeds !??
Have all the developers and maintainers of the middleware between Facebook and Gwibber been fed up to the back teeth with Facebook and have steamed away now ?

Same problem here. Here is the tail of my gwibber.log

2012-12-28 19:44:28,373 - Dispatcher MainThread : INFO - Dispatcher Offline, suspending operations
2012-12-28 19:44:29,885 - Storage MainThread : INFO - Cleaning up database...
2012-12-28 19:44:30,239 - Storage MainThread : INFO - Cleaning up database...
2012-12-28 19:44:32,816 - Dispatcher MainThread : INFO - Network state changed to Online
2012-12-28 19:44:32,819 - Dispatcher MainThread : INFO - Dispatcher Online, initiating a refresh
2012-12-28 19:44:43,533 - Dispatcher MainThread : INFO - Running Jobs: 1
2012-12-28 19:44:43,534 - Dispatcher MainThread : INFO - Running Jobs: 0
2012-12-28 19:44:43,536 - Dispatcher MainThread : INFO - Running Jobs: 1
2012-12-28 19:44:51,861 - Dispatcher Thread-2 : ERROR - <facebook:receive> Operation failed
2012-12-28 19:44:51,862 - Dispatcher Thread-2 : INFO - Loading Error: 0 - Error

Vampire (bjoern-kautler) wrote :

The problem is that the feed doesn't contain a "description" sub-key for the "privacy" key.
Obviously this was present before but is no longer present.
But the code depends on it being there.

Workaround:

sudo vim /usr/share/gwibber/plugins/facebook/__init__.py

replace line 329 which reads

      m["privacy"]["description"] = data["privacy"]["description"]

by

      if data["privacy"].has_key("description"):
        m["privacy"]["description"] = data["privacy"]["description"]
      else:
        m["privacy"]["description"] = "Unknown"

This is not a suggested fix as I don't know whether the else is needed as I don't know whether some other code depends on "description" being set in m.

Arnaud (nono68200) wrote :

It works for me! :D Thank you very much for this patch.

Vampire (bjoern-kautler) wrote :

To be clear, my fix is for version 3.6.0-0ubuntu1 of package gwibber-service-facebook. If you have a different version, the line number is maybe different, but I guess the workaround is the same as long as it is the same problem.
To verify that you have the same problem, run the following two commands

killall gwibber-service
gwibber-service -do

Now you should get some output during the run that reads like:

Dispatcher Thread-5 : ERROR <facebook:receive> Operation failed
Dispatcher Thread-5 : DEBUG Traceback:
Traceback (most recent call last):
  File "/usr/lib/python2.7/dist-packages/gwibber/microblog/dispatcher.py", line 83, in run
    message_data = PROTOCOLS[account["service"]].Client(account)(opname, **args)
  File "/usr/share/gwibber/plugins/facebook/__init__.py", line 369, in __call__
    return getattr(self, opname)(**args)
  File "/usr/share/gwibber/plugins/facebook/__init__.py", line 393, in receive
    return [self._message(post) for post in data["data"]]
  File "/usr/share/gwibber/plugins/facebook/__init__.py", line 329, in _message
    m["privacy"]["description"] = data["privacy"]["description"]
KeyError: 'description'

The 3rd line from bottom of this excerpt gives you the faulty line which is 329 for me.

Arnaud (nono68200) wrote :

"File "/usr/lib/python2.7/socket.py", line 553, in create_connection
    for res in getaddrinfo(host, port, 0, SOCK_STREAM):

IOError: [Errno socket error] [Errno -2] Name or service not known

Dispatcher Thread-1 : INFO Loading Error: 0 - Error
Dispatcher Thread-1 : DEBUG <facebook:receive> Finished operation (0:00:40.388210)"

Not the same error...

Vampire (bjoern-kautler) wrote :

You got that error, applied my fix and it worked?
If so I guess this was a coincidence.
Your error says that the Domainname of something gwibber wanted to connect to couldn't be resolved via DNS.

Arnaud (nono68200) wrote :

That error was because of an wireless problem. ;)
I finally have the same error than you without your fix.

Dragoneyes (stiu) wrote :

@Vampire
Your Workaround fixed the problem for me (Gwibber 3.60). Thanks!

Vinu Joseph (jvinu22) wrote :

@Vampire
the fix

To replace
      m["privacy"]["description"] = data["privacy"]["description"]

by

      if data["privacy"].has_key("description"):
        m["privacy"]["description"] = data["privacy"]["description"]
      else:
        m["privacy"]["description"] = "Unknown"

Worked,Much Appreciated

the line number in the default Gwibber version in the 12.04LTS was 210

Vampire (bjoern-kautler) wrote :

Great Vinu,
my fix is for the default Gwibber version in 12.10 to which I just upgraded from Karmic. :-)

Ruben Rocha (ruben-silvarocha) wrote :

I can confirm the code on #23 fixes the facebook feed problem on ubuntu 12.04LTS

Please release the fix on update manager and if possible backport it to previous versions of ubuntu using gwibber.

If this fixes the problem then why hasn't Ken VanDine the assigned bug fixer fixed it yet and changed the bug status? I really don't know anything about programming in python and really feel ill-equipped to use this fix that you all have come up with. So I think I will just wait for the updated version to be realeased. So please Ken VanDine try and get this bug eradicted. As well if you could review the fix the people above have come up with and explain if it is safe and what it does? My main concern is that it will mess with the security and privacy of gwibber. At least that is what the block of code tells me when I look at it. However I really don't mean any disrespect to anybody, especially if it does fix the problem. I just need a little more information about this fix before I make the change myself.

dimkalg (dimkalg-z) wrote :

Vampire your solution is great!! You are the best!! Thanks!!

Vampire (bjoern-kautler) wrote :

@Theodore

When Gwibber gets the answer from Facebook, it checks whether the answer contains a key named "privacy".
If the feed contains a key named "privacy" it reads out its subkeys "description" and "value" unconditionally, assuming they are always present.
For the "description" subkey this is not true, as it is not present, or not present anymore.
My WORKAROUND, NOT FIX as people call it, just checks for the presence of the "description" subkey before trying to read it and if it doesn't find it sets it to "Unknown". Because I don't know whether this description is relied on elsewhere in the code I do the else path with "Unknown". If the description is not used anywhere, the else path can be left out. Because of this uncertainness and because I don't want to look through all the code to find out, it is a WORKAROUND, not a proper FIX.
But it works find and doesn't mess up the security or privacy of Gwibber.

if data.has_key("privacy"):
       m["privacy"] = {}
       m["privacy"]["description"] = data["privacy"]["description"]
       m["privacy"]["value"] = data["privacy"]["value"]

The above is the code block in the file and as I stated I don't really know python so I'm asking if you could show me how to adjust this block to use your work around.

Robin (robingape) wrote :

The workaround, not fix, from #16 is working on an Ubuntu 12.10 installation, and seeing Facebook updates. Thanks.

Vampire (bjoern-kautler) wrote :

@Theodore, as I wrote it, just replace

    if data.has_key("privacy"):
      m["privacy"] = {}
      m["privacy"]["description"] = data["privacy"]["description"]
      m["privacy"]["value"] = data["privacy"]["value"]

by

    if data.has_key("privacy"):
      m["privacy"] = {}
      if data["privacy"].has_key("description"):
        m["privacy"]["description"] = data["privacy"]["description"]
      else:
        m["privacy"]["description"] = "Unknown"
      m["privacy"]["value"] = data["privacy"]["value"]

Elphias (servalboi) wrote :

#23 worked for me just great!

don't know if it's the right fix, but it worked in 12.04

thanks a ton!

Thank You, Vampire. This has fixed the issue until the asignnee can get the bug patched up and sent out. So, I thank you for all your help and patientce, truthfully I am best with the php and mysql languages. However I am trying to learn Java and AJAX. Peace be with you all.

peterrus (petorrus) wrote :

The workaround described above does not seem to work for me.

peterrus (petorrus) wrote :

gwibber-service -o displays:

Dispatcher Thread-1 : ERROR <facebook:receive> Operation failed
Dispatcher Thread-1 : INFO Loading Error: 0 - Error

Vampire (bjoern-kautler) wrote :

@peterrus, "gwibber-service -do", not "gwibber-service -o"

Dac Chartrand (conner-bw) wrote :

Vampire's fix (Comment #16 ) works for me.

Thanks Vampire.

PS: Jedit user here. Thanks for that too. ;)

Vampire (bjoern-kautler) wrote :

@Dac You're welcome. :-) But it is jEdit, not Jedit. ;-)

@peterrus Did you find anything new with the correct command?

Hugo Venhorst (yougo) wrote :

I can confirm that the workaround on #16 works.

apparently, Facebook has changed the protocol. they might do it again in the future
maybe the code needs to be changed to either not care (which might not be safe?) or check the protocol before fetching messages?

no idea how that works, just spouting ideas...

kaimadag (kaimadag) wrote :

The workaround on #31 worked for me in 12.04.1. Thanks!

BTW, Why a bug preventing use of Ubuntu's core app (and earlier the one preventing adding a Facebook account) as to user experience takes so long to get fixed in the flagship (most stable blah, blah...) version of the system? Isn't Gwibber meant to make Ubuntu social friendly? It's highlighted in the installer for example but then it doesn't work. Am I missing something?

Omer Akram (om26er) on 2013-01-14
Changed in gwibber (Ubuntu):
status: Triaged → Confirmed
importance: Medium → High
Changed in gwibber (Ubuntu Precise):
importance: Undecided → High
Changed in gwibber (Ubuntu Quantal):
importance: Undecided → High
Changed in gwibber (Ubuntu Precise):
status: New → Confirmed
Changed in gwibber (Ubuntu Quantal):
status: New → Confirmed
Ken VanDine (ken-vandine) wrote :

This workaround doesn't explain why some users are reporting they can't add a facebook account. However the workaround is fine, I'll look at merging that into gwibber upstream ASAP.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gwibber - 3.6.0-0ubuntu2

---------------
gwibber (3.6.0-0ubuntu2) raring; urgency=low

  * debian/patches/lp_1088775.patch
    - Don't fail to refresh facebook data if privacy has no
      description key (LP: #1088775)
 -- Ken VanDine <email address hidden> Mon, 14 Jan 2013 11:03:01 -0500

Changed in gwibber (Ubuntu):
status: Confirmed → Fix Released
Ken VanDine (ken-vandine) wrote :

Steps to verify this SRU:

Ensure gwibber-service has restarted since the update by either a logout/login or "killall gwibber-service", then verify there is feed data for your facebook account.

Ken VanDine (ken-vandine) wrote :

Regression potential is really low, it simply checks that the dict returned has a key, and if it doesn't use an empty value for the result.

Changed in gwibber:
status: Confirmed → Fix Committed
assignee: Ken VanDine (ken-vandine) → nobody
Ken VanDine (ken-vandine) wrote :

That is a different bug, it was fixed in libaccounts-glib=1.5-0ubuntu2 that I just uploaded to raring a couple hours ago. Commenting that out is going to cause problems.

Francesco Bonanno (mibo-fra) wrote :

Ok, but the problem was only with gwibber , so think it was of the group :D . Sorry for the mistake (but I've upgrade the OS at 4:30 pm) .

gianfry71 (gianfry71) wrote :

It works for me! :D Thank you very very much for this patch.

Francesco Bonanno (mibo-fra) wrote :

Only a thing , where are comments form 45 to 47 ? Can I rewrite them ?

Simon (simonbcn) wrote :
Download full text (4.0 KiB)

The fix on #16 doesn't work for me on Ubuntu 12.10 64 bits:

$ gwibber-service -do
root MainThread : INFO Logger initialized
Service MainThread : INFO Service starting
Service MainThread : INFO Running from the source tree
root MainThread : ERROR Could not find any typelib for Unity
/usr/lib/python2.7/dist-packages/gobject/constants.py:24: Warning: g_boxed_type_register_static: assertion `g_type_from_name (name) == 0' failed
  import gobject._gobject
Twitter MainThread : DEBUG Initializing.
Facebook MainThread : DEBUG Initializing.
Service MainThread : DEBUG Setting up monitors
Storage MainThread : DEBUG Creating indexes
Dispatcher MainThread : INFO Found account 6/facebook-microblog
Dispatcher MainThread : INFO Found account 8/twitter-microblog
Dispatcher MainThread : INFO Found 2 accounts
Dispatcher MainThread : DEBUG Refresh interval is set to 15
Dispatcher MainThread : DEBUG ** Starting Refresh - 2013-01-16 14:47:52.977111 **
Dispatcher MainThread : INFO Running Jobs: 0
Dispatcher MainThread : INFO Running Jobs: 0
Dispatcher Thread-1 : DEBUG <facebook:receive> Performing operation
Facebook Thread-1 : DEBUG Logging in
Dispatcher Thread-2 : DEBUG <twitter:receive> Performing operation
Dispatcher Thread-3 : DEBUG <twitter:responses> Performing operation
Dispatcher Thread-4 : DEBUG <twitter:private> Performing operation
Twitter Thread-2 : DEBUG Logging in
Dispatcher Thread-5 : DEBUG <twitter:lists> Performing operation
Dispatcher MainThread : INFO Running Jobs: 5
Facebook MainThread : DEBUG Login completed
Twitter MainThread : DEBUG Login completed
Twitter Thread-2 : DEBUG User id is: 40375527, name is J1Sm
Dispatcher Thread-1 : ERROR <facebook:receive> Operation failed
Dispatcher Thread-1 : DEBUG Traceback:
Traceback (most recent call last):
  File "/usr/lib/python2.7/dist-packages/gwibber/microblog/dispatcher.py", line 83, in run
    message_data = PROTOCOLS[account["service"]].Client(account)(opname, **args)
  File "/usr/share/gwibber/plugins/facebook/__init__.py", line 372, in __call__
    return getattr(self, opname)(**args)
  File "/usr/share/gwibber/plugins/facebook/__init__.py", line 389, in receive
    data = self._get("me/home", since=since, limit=100)
  File "/usr/share/gwibber/plugins/facebook/__init__.py", line 171, in _get
    if "access_token" not in self.account and not self._login():
  File "/usr/share/gwibber/plugins/facebook/__init__.py", line 141, in _login
    self._locked_login(old_token)
  File "/usr/share/gwibber/plugins/facebook/__init__.py", line 154, in _locked_login
    logger.debug("User id is: %s" % self.account["uid"])
  File "/usr/lib/python2.7/dist-packages/gwibber/microblog/dispatcher.py", line 196, in __getitem__
    return self._dict[key]
KeyError: 'uid'

Dispatcher Thread-1 : INFO Loading Error: 0 - Error
Dispatcher Thread-1 : DEBUG <facebook:receive> Finished operation (0:00:00.722634)
Dispatcher Thread-3 : INFO Loading complete: 1 - 0
Dispatche...

Read more...

Vampire (bjoern-kautler) wrote :

@Simon this is a completely different error and thus Bug. That's why I provided a way to verify it is the issue discussed here. ;-)

Fix works for me on Ubuntu Raring 13.04 updated.

Facebook status are finally back into Gwibber.

Other than text ones are still empty (example action: became friend
with, or link / video share, only name and profil picture of author is
displayed, message is blank) but I think it's a different bug.

Changed in gwibber (Ubuntu):
assignee: nobody → gerardo garcia juarez (iscgerardo)
Changed in gwibber:
status: Fix Committed → New
status: New → Fix Released
Clint Byrum (clint-fewbar) wrote :

Hi! Thanks for the uploaded fix to quantal-proposed. This bug is lacking the necessary documentation for the fix to be verified once accepted. Please update the description according to https://wiki.ubuntu.com/StableReleaseUpdates with a test case and discussion of regression potential.

Ken VanDine (ken-vandine) wrote :

Whoops, I put that in a comment not the description, sorry about that. I've updated the description now.

description: updated
Ruben Rocha (ruben-silvarocha) wrote :

Was a fix released for 12.04 lts?

Changed in gwibber (Ubuntu):
assignee: gerardo garcia juarez (iscgerardo) → nobody

This has never worked for me once I think during (natty) but never since so not expecting it to ever work again but here is my error after running gwibber-service -do

Traceback (most recent call last):
  File "/usr/bin/gwibber-service", line 55, in <module>
    from gwibber.microblog.util.log import setup_logging
  File "/usr/lib/python2.7/dist-packages/gwibber/microblog/util/__init__.py", line 2, in <module>
    from gwibber.microblog.util import resources
  File "/usr/lib/python2.7/dist-packages/gwibber/microblog/util/resources.py", line 11, in <module>
    import Image
ImportError: No module named Image

Ubuntu 13.04 64 Bit Gwibber 3.6

Same as above just Facebook is blank.... 3 weeks trying every fix on the internet i can find with no success

If baffles why Ubuntu persists to put this into it's distribution considering it's by far the most buggiest software available. I have never experienced such terrible software in my life. Any explanations as to why this is still installed by default in Ubuntu cause all it does is cause a headache if I was new to Ubuntu and had this headache trying to setup Facebook I would have left long ago based fully on the headache gwibber is on people. My advice to anyone wanting to use this software is don't waste of time and effort.

Robin (robingape) wrote :

Re #59. The trace is saying that package python-imaging is not correctly installed. python-imaging←gwibber-service←gwibber, so python-imaging should already be installed as a 2nd level dependency of gwibber. Re-installing the package may solve the problem of the missing package, which would appear to have somehow been corrupted.

I re-installed Ubuntu and it's working now.... only thing I have done different is didn't update the kernel and all seems fine. I may update the kernel and if becomes corrupt again will try what you said and get back to here with the results.

Upgraded all my packages and bam it's not refreshing anymore. 1 of the packages due to be upgraded was python-imaging 1.7.7.4 (not sure if that's the exact package version) to python-imaging 1.7.7.8 ...... Can I downgrade to 1.7.7.4 again?

Uninstalled the upgraded package python-imaging version 1.1.7+1.7.8-1 and installed the previous version python-imaging 1.1.7-4 and it's now working again. Hope this gets fixed soon.

Marius B. Kotsbak (mariusko) wrote :

David, you are using Raring and are probably experiencing bug #1112496.

no longer affects: python-imaging (Ubuntu Precise)
Changed in python-imaging (Ubuntu Quantal):
status: New → Invalid
Changed in python-imaging (Ubuntu):
status: New → Confirmed
Avery (docaltmed) wrote :

This still affects 12.10. Fresh install of 64-bit, all packages up-to-date. No facebook feed.

Ruben Rocha (ruben-silvarocha) wrote :

I installed 12.10 yesterday on one machine and after the updates there is no stream on facebook with gwibber. Did the fixes go to main update or are they on proposed?

tags: added: quantal
Marius B. Kotsbak (mariusko) wrote :

If you look at the statuses carefully at the top, fix released (when there are tasks for Precise and Quantal) means that a fix is released for the developing version (Raring), but not yet for the two latest stable releases.

The python task says that it is also broken in Raring because of another issue. The result is that there is no working releases for this issue. It is possible to install an older Python package in Raring to get it working (at least in theory).

Marius B. Kotsbak (mariusko) wrote :

A fix was released for Raring. Is it working properly now in Raring with all updates installed or daily image?

Changed in python-imaging (Ubuntu):
status: Confirmed → Incomplete

Hello Kévin, or anyone else affected,

Accepted gwibber into quantal-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/gwibber/3.6.0-0ubuntu1.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

description: updated
Changed in gwibber (Ubuntu Quantal):
status: Confirmed → Fix Committed
tags: added: verification-needed
Kévin Guilbeault (kekegt2) wrote :

Thanks to everyone! The released fix does work (on quantal at least... didn't test it on other versions...).

tags: added: verification-done
removed: verification-needed

According to

http://developers.facebook.com/docs/concepts/login/login-architecture/

Facebook offers several login flows for different devices and projects. Each of these flows use the OAuth 2.0 standard.

If they switched to oauth2, since when does GWIBBER support that ?
How can I check, if my version / distro does already ?

I've seen another discussion of using oath / oath2 caused problems, as using different lib files.
Has anyone checked if this could be relevant here ?
--
Best,
Thomas

Colin Watson (cjwatson) wrote :

Hello Kévin, or anyone else affected,

Accepted gwibber into precise-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/gwibber/3.4.2-0ubuntu2.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in gwibber (Ubuntu Precise):
status: Confirmed → Fix Committed
tags: removed: verification-done
tags: added: verification-needed
Hendrik Knackstedt (hennekn) wrote :

After applying the update facebook news reappear. However, the authentication button in account settings does not disappear as it does for Twitter. I am not sure if this is supposed to be this way but it does not look like it was.

Hendrik Knackstedt (hennekn) wrote :

Private messages also do not show up.

#74 The Account setup and authentication is as it is supposed to be.

#75 When applied the proposed update does work, but you are correct that no private/direct messages appear via gwibber. This probably should be filed as a seperate bug.

tags: added: verification-precise-done

The proposed update on precise does correct the reported issue of feeds not refreshing.

tags: added: verification-done-precise
removed: verification-precise-done

The proposed update on quantal does correct the reported issue of feeds not refreshing.

tags: added: verification-done-quantal
removed: verification-needed

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gwibber - 3.6.0-0ubuntu1.1

---------------
gwibber (3.6.0-0ubuntu1.1) quantal-proposed; urgency=low

  * debian/patches/lp_1088775.patch
    - Don't fail to refresh facebook data if privacy has no
      description key (LP: #1088775)
 -- Ken VanDine <email address hidden> Mon, 14 Jan 2013 11:01:32 -0500

Changed in gwibber (Ubuntu Quantal):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gwibber - 3.4.2-0ubuntu2.2

---------------
gwibber (3.4.2-0ubuntu2.2) precise-proposed; urgency=low

  * debian/patches/lp_1088775.patch
    - Don't fail to refresh facebook data if privacy has no
      description key (LP: #1088775)
 -- Ken VanDine <email address hidden> Mon, 14 Jan 2013 10:49:15 -0500

Changed in gwibber (Ubuntu Precise):
status: Fix Committed → Fix Released

That no private/direct messages appear via gwibber is probably filed as a seperate bug ?

I have been thinking, that this wasn't intended at all ?:-|
Right from the beginning of using ubuntu I found gwibber in combination with empathy working the way, that the direct messages appeared in empathy, the "posts" in gwibber ?:-|
Wrong idea ?

Changed in gwibber (Ubuntu Precise):
assignee: nobody → Harish (harish-m-avdhani)
assignee: Harish (harish-m-avdhani) → nobody
Ruben Rocha (ruben-silvarocha) wrote :

There are problems again with gwibber and facebook. The error this time is that there is no "count" key when receiving the facebook feed:

Traceback (most recent call last):
  File "/usr/lib/python2.7/dist-packages/gwibber/microblog/dispatcher.py", line 81, in run
    message_data = PROTOCOLS[account["service"]].Client(account)(opname, **args)
  File "/usr/share/gwibber/plugins/facebook/__init__.py", line 253, in __call__
    return getattr(self, opname)(**args)
  File "/usr/share/gwibber/plugins/facebook/__init__.py", line 268, in receive
    return [self._message(post) for post in data["data"]]
  File "/usr/share/gwibber/plugins/facebook/__init__.py", line 224, in _message
    m["likes"]["count"] = data["likes"]["count"]
KeyError: 'count'

My solution was to edit the file /usr/share/gwibber/plugins/facebook/__init__.py and from line 224 to 231 delete any instance of ["count"]. Save file and reboot. The facebook feed now refreshes and appears in gwibber.

DanielC (zooide) wrote :

Ruben Rocha #84
That works for me: Ubuntu 12.04.3 64 bits

Thank you!!

no longer affects: python-imaging (Ubuntu)
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Bug attachments